program TransLevel;
  const Xsize = 40; Ysize = 24;
  type Levels = packed array [0..Xsize-1, 0..Ysize-1] of byte;

  var x, y: integer;
      LvlNo: integer;
      b: byte;
      txt: text;
      lvl: file;
      name1: string;
      line: string[Xsize];
      buff: levels;
begin
if ParamCount = 1
  then begin (*) ParamStr(1, name1); {*) name1:= ParamStr(1); {*} end
  else begin write('Text file name (.txt)'); readln(name1); end;

insert('.txt', name1, length(name1)+1);

(*) reset(txt, name1); rewrite(lvl, 'TheSnake.lvl');
{*) assign(txt, name1); assign(lvl, 'TheSnake.lvl');
    reset(txt); rewrite(lvl, 1); {*}

LvlNo:= 1;
while not eof(txt) do
  begin write(#13'Converting level ', LvlNo);
  readln(txt, x);
  if IOresult <> 0 then halt;
  if LvlNo <> x
    then begin writeln; writeln('Error in Level sequence'); halt; end;
  inc(LvlNo);
  for y:= 0 to Ysize-1 do
    begin readln(txt, line);
    for x:= 0 to Xsize-1 do
      begin
      case line[x+1] of
        ' ': b:= 0;
        '*': b:= 7;
        '1', '2', '3', '4', '5', '6', '7':
             b:= ord(line[x+1]) - ord('0');
        else(*):(*) write('error x = ', x, ', y = ', y);
        end; { case }
      buff[x, y]:= b;
      end; {for x }
    end; { for y }
  BlockWrite(lvl, buff, SizeOf(buff));
  end; { while }

(*)exit:(*)
close(lvl);
end.